Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(6)

Issue 2443903004: Add xmllite and xmpp sources to third_party/ (Closed)

Created:
2 years, 10 months ago by kjellander_chromium
Modified:
2 years, 8 months ago
CC:
chromium-reviews, chromoting-reviews_chromium.org
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Add xmllite and xmpp sources to third_party/ Add third_party/xmllite and third_party/xmpp source repos, which used to be located in third_party/webrtc/libjingle since the code is no longer used by WebRTC; only Chromium. Modifications made: * Include paths in jingle/ and remoting/ are updated to reflect the new location of xmllite and xmpp. * Include paths in third_party/libjingle_xmpp/xmllite and third_party/libjingle_xmpp/xmpp are updated to reflect the new absolute paths to their own headers. * Update previous include paths using non-absolute paths referencing "webrtc/libjingle/xmpp" to third_party/libjingle_xmpp/xmpp. * Update includes from webrtc/ to third_party/webrtc * Update includes of webrtc/base/logging.h to third_party/webrtc_overrides/webrtc/base/logging.h * Added DEPS file in each folder, to restrict includes. BUG=webrtc:5539 Committed: https://crrev.com/f0e410bf18db180922731558988444de57b3102b Cr-Commit-Position: refs/heads/master@{#441371}

Patch Set 1 #

Patch Set 2 : Rebased #

Patch Set 3 : Rebase + updated https://codereview.webrtc.org/2564673002 #

Patch Set 4 : Updated all sources from upstream #

Total comments: 1

Patch Set 5 : Restored includes to webrtc/ style to benefit from overrides #

Patch Set 6 : Restored includes in jingle/ as well #

Total comments: 10

Patch Set 7 : Moved to libjingle_xmpp/ #

Patch Set 8 : Fix GN and sort includes #

Total comments: 12

Patch Set 9 : Created a working test, removed lots of XMPP code, restored license headers #

Patch Set 10 : Add explicit dependency on "//third_party/webrtc/base:rtc_base" #

Patch Set 11 : Link with //net to solve Win compile error #

Patch Set 12 : Updated README.chromium #

Patch Set 13 : Rebased #

Patch Set 14 : Update includes to use third_party/webrtc #

Patch Set 15 : Explicitly use webrtc_overrides/webrtc/base/logging.h #

Unified diffs Side-by-side diffs Delta from patch set Stats (+10202 lines, -172 lines) Patch
M jingle/BUILD.gn View 1 2 3 4 5 6 7 8 2 chunks +2 lines, -4 lines 0 comments Download
M jingle/DEPS View 1 2 3 4 5 6 1 chunk +2 lines, -1 line 0 comments Download
M jingle/glue/chrome_async_socket.h View 1 2 3 4 5 6 1 chunk +1 line, -1 line 0 comments Download
M jingle/notifier/DEPS View 1 2 3 4 5 6 1 chunk +2 lines, -5 lines 0 comments Download
M jingle/notifier/base/fake_base_task.cc View 1 2 3 4 5 6 1 chunk +1 line, -1 line 0 comments Download
M jingle/notifier/base/gaia_token_pre_xmpp_auth.h View 1 2 3 4 5 6 1 chunk +1 line, -1 line 0 comments Download
M jingle/notifier/base/gaia_token_pre_xmpp_auth.cc View 1 2 3 4 5 6 1 chunk +2 lines, -2 lines 0 comments Download
M jingle/notifier/base/notifier_options_util.h View 1 2 3 4 5 6 1 chunk +1 line, -1 line 0 comments Download
M jingle/notifier/base/notifier_options_util.cc View 1 2 3 4 5 6 1 chunk +2 lines, -2 lines 0 comments Download
M jingle/notifier/base/weak_xmpp_client.h View 1 2 3 4 5 6 1 chunk +1 line, -1 line 0 comments Download
M jingle/notifier/base/xmpp_connection.h View 1 2 3 4 5 6 1 chunk +1 line, -1 line 0 comments Download
M jingle/notifier/base/xmpp_connection.cc View 1 2 3 4 5 6 1 chunk +1 line, -1 line 0 comments Download
M jingle/notifier/base/xmpp_connection_unittest.cc View 1 2 3 4 5 6 1 chunk +2 lines, -2 lines 0 comments Download
M jingle/notifier/communicator/connection_settings.cc View 1 2 3 4 5 6 1 chunk +1 line, -1 line 0 comments Download
M jingle/notifier/communicator/login.h View 1 2 3 4 5 6 1 chunk +1 line, -1 line 0 comments Download
M jingle/notifier/communicator/login.cc View 1 2 3 4 5 6 1 chunk +6 lines, -6 lines 0 comments Download
M jingle/notifier/communicator/login_settings.h View 1 2 3 4 5 6 1 chunk +1 line, -1 line 0 comments Download
M jingle/notifier/communicator/login_settings_unittest.cc View 1 2 3 4 5 6 1 chunk +1 line, -1 line 0 comments Download
M jingle/notifier/communicator/single_login_attempt.h View 1 2 3 4 5 6 1 chunk +1 line, -1 line 0 comments Download
M jingle/notifier/communicator/single_login_attempt.cc View 1 2 3 4 5 6 1 chunk +3 lines, -3 lines 0 comments Download
M jingle/notifier/communicator/single_login_attempt_unittest.cc View 1 2 3 4 5 6 1 chunk +3 lines, -3 lines 0 comments Download
M jingle/notifier/listener/push_notifications_listen_task.h View 1 2 3 4 5 6 1 chunk +1 line, -1 line 0 comments Download
M jingle/notifier/listener/push_notifications_listen_task.cc View 1 2 3 4 5 6 1 chunk +5 lines, -5 lines 0 comments Download
M jingle/notifier/listener/push_notifications_send_update_task.h View 1 2 3 4 5 6 1 chunk +1 line, -1 line 0 comments Download
M jingle/notifier/listener/push_notifications_send_update_task.cc View 1 2 3 4 5 6 1 chunk +5 lines, -5 lines 0 comments Download
M jingle/notifier/listener/push_notifications_send_update_task_unittest.cc View 1 2 3 4 5 6 1 chunk +1 line, -1 line 0 comments Download
M jingle/notifier/listener/push_notifications_subscribe_task.h View 1 2 3 4 5 6 1 chunk +2 lines, -2 lines 0 comments Download
M jingle/notifier/listener/push_notifications_subscribe_task.cc View 1 2 3 4 5 6 1 chunk +5 lines, -5 lines 0 comments Download
M jingle/notifier/listener/push_notifications_subscribe_task_unittest.cc View 1 2 3 4 5 6 1 chunk +1 line, -1 line 0 comments Download
M jingle/notifier/listener/send_ping_task.h View 1 2 3 4 5 6 1 chunk +1 line, -1 line 0 comments Download
M jingle/notifier/listener/send_ping_task.cc View 1 2 3 4 5 6 1 chunk +5 lines, -5 lines 0 comments Download
M jingle/notifier/listener/send_ping_task_unittest.cc View 1 2 3 4 5 6 1 chunk +1 line, -1 line 0 comments Download
M jingle/notifier/listener/xml_element_util.cc View 1 2 3 4 5 6 1 chunk +4 lines, -4 lines 0 comments Download
M jingle/notifier/listener/xml_element_util_unittest.cc View 1 2 3 4 5 6 1 chunk +3 lines, -3 lines 0 comments Download
M jingle/notifier/listener/xmpp_push_client.h View 1 2 3 4 5 6 1 chunk +1 line, -1 line 0 comments Download
M remoting/DEPS View 1 2 3 4 5 6 1 chunk +1 line, -1 line 0 comments Download
M remoting/client/client_status_logger_unittest.cc View 1 2 3 4 5 6 1 chunk +1 line, -1 line 0 comments Download
M remoting/client/server_log_entry_client_unittest.cc View 1 2 3 4 5 6 1 chunk +1 line, -1 line 0 comments Download
M remoting/host/BUILD.gn View 1 2 3 4 5 6 7 8 3 chunks +3 lines, -6 lines 0 comments Download
M remoting/host/DEPS View 1 2 3 4 5 6 1 chunk +1 line, -0 lines 0 comments Download
M remoting/host/heartbeat_sender.cc View 1 2 3 4 5 6 1 chunk +2 lines, -2 lines 0 comments Download
M remoting/host/heartbeat_sender_unittest.cc View 1 2 3 4 5 6 1 chunk +2 lines, -2 lines 0 comments Download
M remoting/host/host_change_notification_listener.cc View 1 2 3 4 5 6 1 chunk +2 lines, -2 lines 0 comments Download
M remoting/host/host_change_notification_listener_unittest.cc View 1 2 3 4 5 6 1 chunk +2 lines, -2 lines 0 comments Download
M remoting/host/host_status_logger_unittest.cc View 1 2 3 4 5 6 1 chunk +1 line, -1 line 0 comments Download
M remoting/host/pam_authorization_factory_posix.cc View 1 2 3 4 5 6 1 chunk +1 line, -1 line 0 comments Download
M remoting/host/register_support_host_request.cc View 1 2 3 4 5 6 1 chunk +2 lines, -2 lines 0 comments Download
M remoting/host/register_support_host_request_unittest.cc View 1 2 3 4 5 6 1 chunk +2 lines, -2 lines 0 comments Download
M remoting/host/server_log_entry_host_unittest.cc View 1 2 3 4 5 6 1 chunk +1 line, -1 line 0 comments Download
M remoting/protocol/BUILD.gn View 1 2 3 4 5 6 7 8 9 10 11 12 1 chunk +1 line, -2 lines 0 comments Download
M remoting/protocol/DEPS View 1 2 3 4 5 6 7 8 1 chunk +2 lines, -2 lines 0 comments Download
M remoting/protocol/authenticator.cc View 1 2 3 4 5 6 1 chunk +1 line, -1 line 0 comments Download
M remoting/protocol/authenticator_test_base.cc View 1 2 3 4 5 6 1 chunk +1 line, -1 line 0 comments Download
M remoting/protocol/content_description.cc View 1 2 3 4 5 6 1 chunk +1 line, -1 line 0 comments Download
M remoting/protocol/content_description_unittest.cc View 1 2 3 4 5 6 1 chunk +1 line, -1 line 0 comments Download
M remoting/protocol/fake_authenticator.cc View 1 2 3 4 5 6 1 chunk +1 line, -1 line 0 comments Download
M remoting/protocol/fake_session.cc View 1 2 3 4 5 6 7 8 9 10 11 12 1 chunk +1 line, -1 line 0 comments Download
M remoting/protocol/ice_transport_unittest.cc View 1 2 3 4 5 6 1 chunk +1 line, -1 line 0 comments Download
M remoting/protocol/jingle_info_request.cc View 1 2 3 4 5 6 7 1 chunk +2 lines, -2 lines 0 comments Download
M remoting/protocol/jingle_messages.h View 1 2 3 4 5 6 7 8 9 10 11 12 1 chunk +1 line, -1 line 0 comments Download
M remoting/protocol/jingle_messages.cc View 1 2 3 4 5 6 7 8 9 10 11 12 1 chunk +1 line, -1 line 0 comments Download
M remoting/protocol/jingle_messages_unittest.cc View 1 2 3 4 5 6 1 chunk +2 lines, -2 lines 0 comments Download
M remoting/protocol/jingle_session.cc View 1 2 3 4 5 6 7 8 9 10 11 12 1 chunk +2 lines, -2 lines 0 comments Download
M remoting/protocol/jingle_session_manager.cc View 1 2 3 4 5 6 7 1 chunk +2 lines, -2 lines 0 comments Download
M remoting/protocol/jingle_session_unittest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 1 chunk +1 line, -1 line 0 comments Download
M remoting/protocol/me2me_host_authenticator_factory.cc View 1 2 3 4 5 6 1 chunk +1 line, -1 line 0 comments Download
M remoting/protocol/negotiating_authenticator_base.cc View 1 2 3 4 5 6 1 chunk +1 line, -1 line 0 comments Download
M remoting/protocol/negotiating_authenticator_unittest.cc View 1 2 3 4 5 6 1 chunk +1 line, -1 line 0 comments Download
M remoting/protocol/negotiating_client_authenticator.cc View 1 2 3 4 5 6 1 chunk +1 line, -1 line 0 comments Download
M remoting/protocol/negotiating_host_authenticator.cc View 1 2 3 4 5 6 1 chunk +1 line, -1 line 0 comments Download
M remoting/protocol/pairing_authenticator_base.h View 1 2 3 4 5 6 1 chunk +1 line, -1 line 0 comments Download
M remoting/protocol/pairing_client_authenticator.cc View 1 2 3 4 5 6 1 chunk +1 line, -1 line 0 comments Download
M remoting/protocol/pairing_host_authenticator.cc View 1 2 3 4 5 6 1 chunk +1 line, -1 line 0 comments Download
M remoting/protocol/protocol_mock_objects.h View 1 2 3 4 5 6 7 8 9 10 11 12 1 chunk +1 line, -1 line 0 comments Download
M remoting/protocol/rejecting_authenticator.cc View 1 2 3 4 5 6 1 chunk +1 line, -1 line 0 comments Download
M remoting/protocol/spake2_authenticator.cc View 1 2 3 4 5 6 1 chunk +1 line, -1 line 0 comments Download
M remoting/protocol/spake2_authenticator_unittest.cc View 1 2 3 4 5 6 1 chunk +1 line, -1 line 0 comments Download
M remoting/protocol/ssl_hmac_channel_authenticator_unittest.cc View 1 2 3 4 5 6 1 chunk +1 line, -1 line 0 comments Download
M remoting/protocol/third_party_authenticator_base.h View 1 2 3 4 5 6 1 chunk +1 line, -1 line 0 comments Download
M remoting/protocol/third_party_authenticator_base.cc View 1 2 3 4 5 6 1 chunk +1 line, -1 line 0 comments Download
M remoting/protocol/third_party_authenticator_unittest.cc View 1 2 3 4 5 6 1 chunk +1 line, -1 line 0 comments Download
M remoting/protocol/third_party_client_authenticator.cc View 1 2 3 4 5 6 1 chunk +1 line, -1 line 0 comments Download
M remoting/protocol/third_party_host_authenticator.cc View 1 2 3 4 5 6 1 chunk +1 line, -1 line 0 comments Download
M remoting/protocol/v2_authenticator.cc View 1 2 3 4 5 6 1 chunk +1 line, -1 line 0 comments Download
M remoting/protocol/v2_authenticator_unittest.cc View 1 2 3 4 5 6 1 chunk +1 line, -1 line 0 comments Download
M remoting/protocol/validating_authenticator.cc View 1 2 3 4 5 6 1 chunk +1 line, -1 line 0 comments Download
M remoting/protocol/validating_authenticator_unittest.cc View 1 2 3 4 5 6 1 chunk +1 line, -1 line 0 comments Download
M remoting/protocol/webrtc_transport.cc View 1 2 3 4 5 6 7 1 chunk +1 line, -1 line 0 comments Download
M remoting/protocol/webrtc_transport_unittest.cc View 1 2 3 4 5 6 1 chunk +1 line, -1 line 0 comments Download
M remoting/signaling/BUILD.gn View 1 2 3 4 5 6 7 8 1 chunk +1 line, -2 lines 0 comments Download
M remoting/signaling/DEPS View 1 2 3 4 5 6 1 chunk +2 lines, -2 lines 0 comments Download
M remoting/signaling/delegating_signal_strategy.cc View 1 2 3 4 5 6 7 8 1 chunk +2 lines, -2 lines 0 comments Download
M remoting/signaling/fake_signal_strategy.cc View 1 2 3 4 5 6 1 chunk +2 lines, -2 lines 0 comments Download
M remoting/signaling/iq_sender.cc View 1 2 3 4 5 6 1 chunk +2 lines, -2 lines 0 comments Download
M remoting/signaling/iq_sender_unittest.cc View 1 2 3 4 5 6 1 chunk +2 lines, -2 lines 0 comments Download
M remoting/signaling/log_to_server.cc View 1 2 3 4 5 6 1 chunk +2 lines, -2 lines 0 comments Download
M remoting/signaling/mock_signal_strategy.h View 1 2 3 4 5 6 1 chunk +1 line, -1 line 0 comments Download
M remoting/signaling/push_notification_subscriber.cc View 1 2 3 4 5 6 1 chunk +1 line, -1 line 0 comments Download
M remoting/signaling/server_log_entry.cc View 1 2 3 4 5 6 1 chunk +1 line, -1 line 0 comments Download
M remoting/signaling/server_log_entry_unittest.cc View 1 2 3 4 5 6 1 chunk +1 line, -1 line 0 comments Download
M remoting/signaling/xmpp_login_handler.cc View 1 2 3 4 5 6 1 chunk +1 line, -1 line 0 comments Download
M remoting/signaling/xmpp_login_handler_unittest.cc View 1 2 3 4 5 6 1 chunk +1 line, -1 line 0 comments Download
M remoting/signaling/xmpp_signal_strategy.cc View 1 2 3 4 5 6 1 chunk +1 line, -1 line 0 comments Download
M remoting/signaling/xmpp_signal_strategy_unittest.cc View 1 2 3 4 5 6 1 chunk +1 line, -1 line 0 comments Download
M remoting/signaling/xmpp_stream_parser.cc View 1 2 3 4 5 6 1 chunk +3 lines, -3 lines 0 comments Download
M remoting/signaling/xmpp_stream_parser_unittest.cc View 1 2 3 4 5 6 1 chunk +1 line, -1 line 0 comments Download
A third_party/libjingle_xmpp/BUILD.gn View 1 2 3 4 5 6 7 8 9 10 1 chunk +153 lines, -0 lines 0 comments Download
A third_party/libjingle_xmpp/DEPS View 1 2 3 4 5 6 7 8 1 chunk +5 lines, -0 lines 0 comments Download
A third_party/libjingle_xmpp/LICENSE View 1 2 3 4 5 6 1 chunk +29 lines, -0 lines 0 comments Download
A third_party/libjingle_xmpp/OWNERS View 1 2 3 4 5 6 1 chunk +6 lines, -0 lines 0 comments Download
A third_party/libjingle_xmpp/README.chromium View 1 2 3 4 5 6 7 8 9 10 11 1 chunk +20 lines, -0 lines 0 comments Download
A third_party/libjingle_xmpp/run_all_unittests.cc View 1 2 3 4 5 6 7 8 1 chunk +10 lines, -0 lines 0 comments Download
A third_party/libjingle_xmpp/xmllite/DEPS View 1 2 3 4 5 6 7 8 9 10 11 12 13 1 chunk +4 lines, -0 lines 0 comments Download
A third_party/libjingle_xmpp/xmllite/qname.h View 1 2 3 4 5 6 7 8 1 chunk +83 lines, -0 lines 0 comments Download
A third_party/libjingle_xmpp/xmllite/qname.cc View 1 2 3 4 5 6 7 8 1 chunk +78 lines, -0 lines 0 comments Download
A third_party/libjingle_xmpp/xmllite/qname_unittest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 1 chunk +114 lines, -0 lines 0 comments Download
A third_party/libjingle_xmpp/xmllite/xmlbuilder.h View 1 2 3 4 5 6 1 chunk +61 lines, -0 lines 0 comments Download
A third_party/libjingle_xmpp/xmllite/xmlbuilder.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 1 chunk +130 lines, -0 lines 0 comments Download
A third_party/libjingle_xmpp/xmllite/xmlbuilder_unittest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 1 chunk +177 lines, -0 lines 0 comments Download
A third_party/libjingle_xmpp/xmllite/xmlconstants.h View 1 2 3 4 5 6 7 8 1 chunk +30 lines, -0 lines 0 comments Download
A third_party/libjingle_xmpp/xmllite/xmlconstants.cc View 1 2 3 4 5 6 7 8 1 chunk +25 lines, -0 lines 0 comments Download
A third_party/libjingle_xmpp/xmllite/xmlelement.h View 1 2 3 4 5 6 1 chunk +233 lines, -0 lines 0 comments Download
A third_party/libjingle_xmpp/xmllite/xmlelement.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 1 chunk +496 lines, -0 lines 0 comments Download
A third_party/libjingle_xmpp/xmllite/xmlelement_unittest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 1 chunk +258 lines, -0 lines 0 comments Download
A third_party/libjingle_xmpp/xmllite/xmlnsstack.h View 1 2 3 4 5 6 1 chunk +45 lines, -0 lines 0 comments Download
A third_party/libjingle_xmpp/xmllite/xmlnsstack.cc View 1 2 3 4 5 6 7 8 1 chunk +178 lines, -0 lines 0 comments Download
A third_party/libjingle_xmpp/xmllite/xmlnsstack_unittest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 1 chunk +241 lines, -0 lines 0 comments Download
A third_party/libjingle_xmpp/xmllite/xmlparser.h View 1 2 3 4 5 6 7 8 1 chunk +103 lines, -0 lines 0 comments Download
A third_party/libjingle_xmpp/xmllite/xmlparser.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 1 chunk +261 lines, -0 lines 0 comments Download
A third_party/libjingle_xmpp/xmllite/xmlparser_unittest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 1 chunk +285 lines, -0 lines 0 comments Download
A third_party/libjingle_xmpp/xmllite/xmlprinter.h View 1 2 3 4 5 6 7 8 1 chunk +32 lines, -0 lines 0 comments Download
A third_party/libjingle_xmpp/xmllite/xmlprinter.cc View 1 2 3 4 5 6 7 8 1 chunk +174 lines, -0 lines 0 comments Download
A third_party/libjingle_xmpp/xmllite/xmlprinter_unittest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 1 chunk +45 lines, -0 lines 0 comments Download
A third_party/libjingle_xmpp/xmpp/DEPS View 1 2 3 4 5 6 7 8 9 10 11 12 13 1 chunk +10 lines, -0 lines 0 comments Download
A third_party/libjingle_xmpp/xmpp/asyncsocket.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 1 chunk +72 lines, -0 lines 0 comments Download
A third_party/libjingle_xmpp/xmpp/constants.h View 1 2 3 4 5 6 7 8 1 chunk +551 lines, -0 lines 0 comments Download
A third_party/libjingle_xmpp/xmpp/constants.cc View 1 2 3 4 5 6 7 8 1 chunk +613 lines, -0 lines 0 comments Download
A third_party/libjingle_xmpp/xmpp/fakexmppclient.h View 1 2 3 4 5 6 1 chunk +107 lines, -0 lines 0 comments Download
A third_party/libjingle_xmpp/xmpp/jid.h View 1 2 3 4 5 6 7 8 1 chunk +80 lines, -0 lines 0 comments Download
A third_party/libjingle_xmpp/xmpp/jid.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 1 chunk +379 lines, -0 lines 0 comments Download
A third_party/libjingle_xmpp/xmpp/jid_unittest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 1 chunk +122 lines, -0 lines 0 comments Download
A third_party/libjingle_xmpp/xmpp/jingleinfotask.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 1 chunk +44 lines, -0 lines 0 comments Download
A third_party/libjingle_xmpp/xmpp/jingleinfotask.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 1 chunk +115 lines, -0 lines 0 comments Download
A third_party/libjingle_xmpp/xmpp/plainsaslhandler.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 1 chunk +64 lines, -0 lines 0 comments Download
A third_party/libjingle_xmpp/xmpp/prexmppauth.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 1 chunk +71 lines, -0 lines 0 comments Download
A third_party/libjingle_xmpp/xmpp/saslcookiemechanism.h View 1 2 3 4 5 6 7 8 1 chunk +69 lines, -0 lines 0 comments Download
A third_party/libjingle_xmpp/xmpp/saslhandler.h View 1 2 3 4 5 6 7 8 1 chunk +42 lines, -0 lines 0 comments Download
A third_party/libjingle_xmpp/xmpp/saslmechanism.h View 1 2 3 4 5 6 7 8 1 chunk +57 lines, -0 lines 0 comments Download
A third_party/libjingle_xmpp/xmpp/saslmechanism.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 1 chunk +55 lines, -0 lines 0 comments Download
A third_party/libjingle_xmpp/xmpp/saslplainmechanism.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 1 chunk +48 lines, -0 lines 0 comments Download
A third_party/libjingle_xmpp/xmpp/util_unittest.h View 1 2 3 4 5 6 7 8 1 chunk +58 lines, -0 lines 0 comments Download
A third_party/libjingle_xmpp/xmpp/util_unittest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 1 chunk +109 lines, -0 lines 0 comments Download
A third_party/libjingle_xmpp/xmpp/xmppclient.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 1 chunk +149 lines, -0 lines 0 comments Download
A third_party/libjingle_xmpp/xmpp/xmppclient.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 1 chunk +423 lines, -0 lines 0 comments Download
A third_party/libjingle_xmpp/xmpp/xmppclientsettings.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 1 chunk +111 lines, -0 lines 0 comments Download
A third_party/libjingle_xmpp/xmpp/xmppengine.h View 1 2 3 4 5 6 7 8 1 chunk +332 lines, -0 lines 0 comments Download
A third_party/libjingle_xmpp/xmpp/xmppengine_unittest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 1 chunk +327 lines, -0 lines 0 comments Download
A third_party/libjingle_xmpp/xmpp/xmppengineimpl.h View 1 2 3 4 5 6 7 8 1 chunk +267 lines, -0 lines 0 comments Download
A third_party/libjingle_xmpp/xmpp/xmppengineimpl.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 1 chunk +446 lines, -0 lines 0 comments Download
A third_party/libjingle_xmpp/xmpp/xmppengineimpl_iq.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 1 chunk +260 lines, -0 lines 0 comments Download
A third_party/libjingle_xmpp/xmpp/xmpplogintask.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 1 chunk +87 lines, -0 lines 0 comments Download
A third_party/libjingle_xmpp/xmpp/xmpplogintask.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 1 chunk +380 lines, -0 lines 0 comments Download
A third_party/libjingle_xmpp/xmpp/xmpplogintask_unittest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 1 chunk +637 lines, -0 lines 0 comments Download
A third_party/libjingle_xmpp/xmpp/xmppstanzaparser.h View 1 2 3 4 5 6 7 8 1 chunk +80 lines, -0 lines 0 comments Download
A third_party/libjingle_xmpp/xmpp/xmppstanzaparser.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 1 chunk +89 lines, -0 lines 0 comments Download
A third_party/libjingle_xmpp/xmpp/xmppstanzaparser_unittest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 1 chunk +175 lines, -0 lines 0 comments Download
A third_party/libjingle_xmpp/xmpp/xmpptask.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 1 chunk +175 lines, -0 lines 0 comments Download
A third_party/libjingle_xmpp/xmpp/xmpptask.cc View 1 2 3 4 5 6 7 8 1 chunk +158 lines, -0 lines 0 comments Download

Messages

Total messages: 75 (45 generated)
kjellander_chromium
Can you see what's wrong?
2 years, 9 months ago (2016-12-20 14:03:55 UTC) #8
nisse-chromium (ooo August 14)
On 2016/12/20 14:03:55, kjellander_chromium wrote: > Can you see what's wrong? It seems the failing ...
2 years, 9 months ago (2016-12-20 14:55:11 UTC) #9
nisse-chromium (ooo August 14)
https://codereview.chromium.org/2443903004/diff/60001/jingle/BUILD.gn File jingle/BUILD.gn (right): https://codereview.chromium.org/2443903004/diff/60001/jingle/BUILD.gn#newcode102 jingle/BUILD.gn:102: "//third_party/libjingle", I think it should still depend on third_party/webrtc/something, ...
2 years, 9 months ago (2016-12-20 15:00:45 UTC) #10
nisse-chromium (ooo August 14)
On 2016/12/20 15:00:45, nisse-chromium wrote: > https://codereview.chromium.org/2443903004/diff/60001/jingle/BUILD.gn > File jingle/BUILD.gn (right): > > https://codereview.chromium.org/2443903004/diff/60001/jingle/BUILD.gn#newcode102 > ...
2 years, 9 months ago (2016-12-20 15:16:40 UTC) #11
Sergey Ulanov
Thank you! https://codereview.chromium.org/2443903004/diff/100001/third_party/xmllite/README.chromium File third_party/xmllite/README.chromium (right): https://codereview.chromium.org/2443903004/diff/100001/third_party/xmllite/README.chromium#newcode1 third_party/xmllite/README.chromium:1: Name: WebRTC This doesn't looks like correct ...
2 years, 9 months ago (2016-12-20 20:36:39 UTC) #13
kjellander_chromium
Oh, this wasn't really ready for review just yet, I was aware of the README.chromium ...
2 years, 9 months ago (2016-12-20 20:49:56 UTC) #14
kjellander_chromium
+pthatcher. Peter can you have a look at the README.chromium and LICENSE file? https://codereview.chromium.org/2443903004/diff/100001/third_party/xmllite/README.chromium File ...
2 years, 9 months ago (2016-12-21 14:46:23 UTC) #17
pthatcher2
lgtm https://codereview.chromium.org/2443903004/diff/140001/third_party/libjingle_xmpp/xmllite/BUILD.gn File third_party/libjingle_xmpp/xmllite/BUILD.gn (right): https://codereview.chromium.org/2443903004/diff/140001/third_party/libjingle_xmpp/xmllite/BUILD.gn#newcode74 third_party/libjingle_xmpp/xmllite/BUILD.gn:74: "//third_party/webrtc/base:rtc_base_tests_utils", It's a little unfortunate that this depends ...
2 years, 9 months ago (2016-12-22 20:33:30 UTC) #26
pthatcher2
This is great, by the way. I love to see that it's happening.
2 years, 9 months ago (2016-12-22 20:34:01 UTC) #27
Sergey Ulanov
https://codereview.chromium.org/2443903004/diff/140001/remoting/protocol/DEPS File remoting/protocol/DEPS (right): https://codereview.chromium.org/2443903004/diff/140001/remoting/protocol/DEPS#newcode11 remoting/protocol/DEPS:11: "+third_party/libjingle", remove this? https://codereview.chromium.org/2443903004/diff/140001/remoting/protocol/DEPS#newcode14 remoting/protocol/DEPS:14: "+third_party/libjingle_xmpp/xmpp", sort alphabetically https://codereview.chromium.org/2443903004/diff/140001/third_party/libjingle_xmpp/README.chromium ...
2 years, 9 months ago (2016-12-22 22:57:59 UTC) #28
kjellander_chromium
Good news: I spent more time on this and realized we don't need to add ...
2 years, 8 months ago (2016-12-27 12:49:21 UTC) #31
Sergey Ulanov
LGTM! Thank you!
2 years, 8 months ago (2016-12-27 19:51:21 UTC) #34
pthatcher2
lgtm++
2 years, 8 months ago (2016-12-27 21:50:35 UTC) #35
kjellander_chromium
+dpranke for third_party OWNERS approval.
2 years, 8 months ago (2016-12-28 14:08:31 UTC) #41
Dirk Pranke
I am not a third_party owner, unfortunately (fortunately)? Though I perhaps should be ...
2 years, 8 months ago (2017-01-04 03:00:37 UTC) #44
kjellander_chromium
My mistake Dirk, sorry 'bout that. +jochen for third_party OWNERS then.
2 years, 8 months ago (2017-01-04 06:14:46 UTC) #46
jochen (gone - plz use gerrit)
lgtm
2 years, 8 months ago (2017-01-04 06:57:22 UTC) #47
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2443903004/240001
2 years, 8 months ago (2017-01-04 07:55:46 UTC) #50
commit-bot: I haz the power
Try jobs failed on following builders: chromium_presubmit on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/chromium_presubmit/builds/334532)
2 years, 8 months ago (2017-01-04 08:05:31 UTC) #52
kjellander_chromium
+phajdan.jr for testing/ OWNERS (since third_party/libjingle_xmpp/DEPS references testing/ in order to get the unit test ...
2 years, 8 months ago (2017-01-04 08:10:02 UTC) #54
tommi (sloooow) - chröme
lgtm! great work Henrik :)
2 years, 8 months ago (2017-01-04 08:49:45 UTC) #55
Paweł Hajdan Jr.
LGTM
2 years, 8 months ago (2017-01-04 11:35:18 UTC) #56
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2443903004/240001
2 years, 8 months ago (2017-01-04 11:36:05 UTC) #58
commit-bot: I haz the power
Try jobs failed on following builders: chromium_presubmit on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/chromium_presubmit/builds/334569)
2 years, 8 months ago (2017-01-04 11:44:35 UTC) #60
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2443903004/260001
2 years, 8 months ago (2017-01-04 12:42:19 UTC) #63
commit-bot: I haz the power
Try jobs failed on following builders: cast_shell_linux on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/cast_shell_linux/builds/285264)
2 years, 8 months ago (2017-01-04 12:50:29 UTC) #65
kjellander_chromium
On 2017/01/04 12:50:29, commit-bot: I haz the power wrote: > Try jobs failed on following ...
2 years, 8 months ago (2017-01-04 13:51:36 UTC) #67
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2443903004/280001
2 years, 8 months ago (2017-01-04 13:52:01 UTC) #70
commit-bot: I haz the power
Committed patchset #15 (id:280001)
2 years, 8 months ago (2017-01-04 14:45:35 UTC) #73
commit-bot: I haz the power
2 years, 8 months ago (2017-01-04 14:47:32 UTC) #75
Message was sent while issue was closed.
Patchset 15 (id:??) landed as
https://crrev.com/f0e410bf18db180922731558988444de57b3102b
Cr-Commit-Position: refs/heads/master@{#441371}

Powered by Google App Engine
This is Rietveld 408576698